<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package graftee
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> itemscope itemtype="<?php if ( is_search() ): ?>http://schema.org/SearchResultsPage<?php else: ?>http://schema.org/WebPage<?php endif; ?>">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta itemprop="about" content="<?php echo wp_get_document_title(); ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<script>
if (window.addEventListener) {
    window.addEventListener('load', toggleSubMenu, false);
} else if(window.attachEvent) {
    window.attachEvent('onload', toggleSubMenu);
} else {
    window.onload = toggleSubMenu;
}

function toggleSubMenu() {
	var aElems = document.getElementsByTagName('ul');

	for (i in aElems) {
		if (!i.match(/^[0-9]+$/) || typeof(aElems[i].className) == 'undefined' || aElems[i].className != 'sub-menu') continue;

		for (j in aElems[i].children) {
			if (!j.match(/^[0-9]+$/) || typeof(aElems[i].children[j].tagName) == 'undefined' || aElems[i].children[j].tagName.toLowerCase() != 'li') continue;

			for (k in aElems[i].children[j].children) {
				if (!k.match(/^[0-9]+$/) || typeof(aElems[i].children[j].children[k].tagName) == 'undefined' || aElems[i].children[j].children[k].tagName.toLowerCase() != 'a') continue;
				var target = aElems[i].children[j].children[k];

				target.onfocus = function() {
					if (this.parentNode.parentNode.className == 'sub-menu') {
						this.parentNode.parentNode.style.transform="scaleY(1)";
					}

					if (this.parentNode.parentNode.parentNode.parentNode.className == 'sub-menu') {
						this.parentNode.parentNode.parentNode.parentNode.style.transform="scaleY(1)";
					}
				}

				target.onblur = function() {
					if (this.parentNode.parentNode.parentNode.parentNode.className == 'sub-menu') {
						this.parentNode.parentNode.parentNode.parentNode.style.transform="scaleY(0)";
					} else if (this.parentNode.parentNode.className == 'sub-menu') {
						this.parentNode.parentNode.style.transform="scaleY(0)";
					}
				}
			}
		}
	}
}
</script>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<header role="banner" itemscope itemtype="http://schema.org/WPHeader">
		<h1 role="heading" itemprop="description">
			<?php echo graftee_get_header_h1_text(); ?>
		</h1>

		<p><?php graftee_blogname(); ?></p>

		<a class="skip-link" href="#content"><?php _e( '本文へ移動', 'graftee' ); ?></a>
	</header>

	<?php if ( has_nav_menu( 'primary' ) ): ?>
	<nav role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
		<input type="checkbox" id="menu-toggle" itemscope itemtype="http://schema.org/IgnoreAction">
		<h2><label for="menu-toggle"><?php _e( 'メニュー', 'graftee' ); ?></label></h2>
		<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
	</nav>
	<?php endif; ?>

	<?php graftee_breadcrumb(); ?>

	<main id="content" role="main" itemprop="mainContentOfPage">
